import { EntityManager } from '@mikro-orm/core'

import Database from '../database'

import { Logger } from '#application/logger'

export abstract class BaseRepository {
  protected readonly logger: Logger = new Logger('repository')

  protected get em(): EntityManager {
    return Database.getEntityManager()
  }
}
