import { Server } from 'socket.io'

import { Logger } from '#application/logger'
import { TSocket } from '#application/types'

export abstract class BaseEvent {
  protected readonly logger: Logger = new Logger('game')

  constructor(
    readonly io: Server,
    readonly socket: TSocket
  ) {}
}
